<?php
    require_once(__DIR__."/../../conf.php");
    set_time_limit(0);


    $crypt_systems =[
        'BitCoin',
        'LiteCoin',
        'DogeCoin'
    ];
    $currency = $val;//валюта пополнения

    foreach ($crypt_systems as $system) {

        $payment_system = get_row_by_field('payment_system', 'name', $system);

        if (!$payment_system) {
            continue;
        }

        if ($payment_system['status'] === 'off') {
            continue;
        }

        //получаем все депозиты созданные на кошелек биткойна за последние 6 часов и подтверждаем их
        $list = get_list("invest", "`status` = " . escape_db(0) . " AND `system` = ".escape_db($system)." AND `date` > ".escape_db((time() - 12*60*60)).condition_delete());

        foreach ($list as $invest) {

            if ($invest["status"]) {
                continue;
            }
            $invest_id = $invest['id'];

            $func = 'block_io_get_address_by_label_'.strtolower($system);
            $res = $func($invest["id"]);

            if ($res["error"]) {
                log_write([
                    $system,
                    "error_get_label",
                    $invest,
                ]);
                continue;
            }

            if ((float)$res["data"]["balance"] < ($invest["summa"] * $invest["exch_rate"])) {
                log_write([
                    $system, "error_balance", $res, $invest,
                ]);
                continue;
            }

            if ($res["data"]["balance"] <= 0) {
                continue;
            }


            echo "#" . $invest["id"] . " GET " . $res["data"]["balance"] . $system. " <br>";
            $sql = "UPDATE `invest` SET ";
            $sql .= " `status`= " . escape_db(1);
            //$sql .= ", `summa` = " . escape_db($res["data"]["balance"] * $invest['exch_rate']); //может стоит поправить!
            $sql .= " WHERE `id` = " . escape_db($invest["id"]);
            $sql .= " LIMIT 1;";
            if (!$mysqli->query($sql)) {
                log_write([
                    $system,
                    "error_update",
                    $invest,
                ]);
            }

            $res2 = active_invest($invest_id);
            if ($res2['error']) {
                log_write("ERROR: Пополнение на {$system}; MESSAGE: {$res['message']}", $res['data']);
            }

            $sql = "UPDATE `cache` SET balans_invest = balans_invest + " . escape_db($invest['summa']);
            $mysqli->query($sql);
        }
    }